Sites
Discover filter options
List the tags, categories, products, personas, journey stages, regions, platforms, tracked brands, and brand-mention tokens this Site supports for the report filters. Pass scanId to narrow to one Scan.
GET
/
v1
/
sites
/
{siteId}
/
filters
Discover filter options
curl --request GET \
--url https://api.onsomble.ai/v1/sites/{siteId}/filters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onsomble.ai/v1/sites/{siteId}/filters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onsomble.ai/v1/sites/{siteId}/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"regions": [
{
"code": "NZ:auckland",
"label": "Auckland"
}
],
"models": [
{
"id": "chatgpt_app",
"name": "ChatGPT",
"method": "web"
}
],
"tags": [
{
"value": "pricing",
"label": "Pricing"
}
],
"categories": [
{
"value": "pricing",
"label": "Pricing"
}
],
"products": [
{
"value": "pricing",
"label": "Pricing"
}
],
"personas": [
{
"value": "pricing",
"label": "Pricing"
}
],
"journeyStages": [
{
"value": "pricing",
"label": "Pricing"
}
],
"brands": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "State Insurance"
}
],
"brandMentions": [
{
"value": "pricing",
"label": "Pricing"
}
]
}Authorizations
An API key created in Settings → Account → API Keys.
Path Parameters
Query Parameters
Narrow the values to those present in this Scan. Omit for the Site vocabulary across all Scans.
Response
The Scan these values were scoped to, or null for the Site.
Show child attributes
Show child attributes
AI platforms to pass as the platform filter.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Allowed brandMention filter tokens.
Show child attributes
Show child attributes
⌘I
Discover filter options
